%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Cpu-freq plugin for Xfce desktop
Name:		xfce4-cpufreq-plugin
Version:	1.0.0
Release:	%mkrel 8
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Slightly modified patch originally from upstream bugzilla:
# https://bugzilla.xfce.org/show_bug.cgi?id=8051
Patch0:		xfce4-cpufreq-plugin-1.0.0-port-to-libxfce4ui.patch
Patch1:		xfce4-cpufreq-plugin-1.0.0-automake1.13.patch
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel >= 4.8.0

%description
CPU freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-8.mga3
+ Revision: 386796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.0.0-7.mga3
+ Revision: 338164
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.0.0-6.mga3
+ Revision: 261123
- port to libxfce4ui

* Tue May 29 2012 wally <wally> 1.0.0-5.mga3
+ Revision: 249453
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190056
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54173
- imported package xfce4-cpufreq-plugin

